### Property

# Pos Completer:before-text

#### Declaration

    property before-text: utf8 [ read ]

#### Description [src]

The text before the current cursor position. The completer has to make sense of it e.g. by parsing backwards for the last separation char. No guarantee is made that it contains the start of a sentence. It should be used as context for better completions.

Type:`gchar*`

Default value | NULL
Getter method | `pos_completer_get_before_text()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no